matchObjects {EBImage} | R Documentation

## Matching objects in two indexed images

### Description

For objects detected in one image, this function finds indexes of matching obnects in the other (i.e. indexes of objects at the locations of the centres of objects in the original image.

### Usage

      ## S4 method for signature 'IndexedImage, IndexedImage':
      matchObjects(x, ref, ...)

### Arguments

`x` | An object of `IndexedImage`.
`ref` | A reference image `IndexedImage` with objects to matched to.
`...` | Reserved.

### Value

If number of frames in `x` and `ref` is 1, then the result is an `integer` vector of matching indexes, similar to `match`.
Otherwise, a list of such vectors, 1 per frame.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2007

### See Also

`IndexedImage, watershed, getFeatures`

[Package EBImage version 2.6.0 Index]